<?php

include("extensions/EqItems/eqitem.php");

function efShowItemMessages() {
	return array(
		'en' => array(
		'showitem' => 'Everquest Item'
	), );
}

class showitem extends SpecialPage {
	
	/**
	 * Constructor
	 */
	public function __construct() {
		global $wgMessageCache;

		foreach( efShowItemMessages() as $lang => $messages )
			$wgMessageCache->addMessages( $messages, $lang );

		parent::__construct( 'ShowItem', 'showitem' );
	}

	/**
	 * @param $par Parameters passed to the page
	 */
	public function execute( $par ) {
		global $wgUser, $wgRequest, $wgOut, $item_fields;
		$this->setHeaders();
				
			# Keep out blocked users
		if( $wgUser->isBlocked() ) {
			$wgOut->blockedPage();
			return;
		}

		$itemid =  mysql_real_escape_string($_GET['id']);

		if ($itemid == null || $itemid == "") {
			$wgOut->addHTML("No item specified!");
			return;
		}

		$query = "UPDATE site_stats SET ss_eqshowitem_count = ss_eqshowitem_count + 1";
		mysql_query($query);

		$columns = $item_fields;
		$query = "SELECT ". implode(", ", $columns) ." FROM eqitems WHERE (id=".$itemid.");";
		$result = mysql_query($query);

		if (!$result) {
			$wgOut->addHTML("No item with an ID of ".$itemid." was found!");
			return;
		}

		$count = 0;
	
		$item = new EqItem;
		$row = mysql_fetch_row($result);

		if (count($row) <= 1) {
			$wgOut->addHTML("No item with an ID of ".$itemid." was found!");
			return;
		}

		$item->fromArray($row);


		$wgOut->addHTML("<table border='0' cellpadding='1' cellspacing='0'><tr><td valign='top'>");
		$wgOut->addHTML("<table border='1' cellpadding='1' cellspacing='0' style='background-color:#000000; color:#ffffff; font-family:sans-serif; font-size: 9pt;'><tr><td align='center' width='500' colspan='2'>");

		$wgOut->addHTML($item->getName()."<br />");

		$wgOut->addHTML("</td></tr><tr><td>");

		$wgOut->addHTML("<img align='right' src='/eqicons/".$item->getIconFilename("png")."' WIDTH='40' HEIGHT='40'/>");

		$itemdesc  = $item->getHtmlDisplayString();
		$itemdesc1 = wrapHtmlText($itemdesc, 110, "<br />\n");
		$wgOut->addHTML($itemdesc1);

		$wgOut->addHTML("<p style='text-align:right;'><small >");
		$wgOut->addHTML("Items on <a style='color:#ffff33; text-decoration:none;' href='http://www.eqwiki.net'>EQWiki.net</a> thanks to <A style='color:#ffff33; text-decoration:none;' HREF='http://eqitems.13th-floor.org'>EQItems</a>");
		$wgOut->addHTML("</small></td></tr></table><br />");


		$wgOut->addHTML("</td><td valign='top'>");

		$wgOut->addHTML("<h4>Related Links</h4>");
		$wgOut->addHTML("<ul>");
		$wgOut->addHTML("<li><a href='http://www.eqwiki.net/itemimage.php?id=". $itemid ."'><b>Permanent Image Link</b></a></li>");
		$wgOut->addHTML("<li><a href='http://lucy.allakhazam.com/item.html?id=". $itemid ."'>Lucy Item Page</a></li>");
		$wgOut->addHTML("<li><a href='http://eqitems.13th-floor.org/item.php?id=". $itemid ."'>EQItems Item Page</a></li>");
		$wgOut->addHTML("<li>Allakhazam Item Page (when I get it working)</li>");
		$wgOut->addHTML("<li><a href='http://everquest.allakhazam.com/db/searchdb.html?iname=". $item->getName() ."'>Allakhazam Item Search</a></li>");
		$wgOut->addHTML("<li><a href='http://www.eqtraders.com/search/search.php?data[item]=". $item->getName() ."&menustr=035000000000&min=0&hits=0'>EQTraders Item Search</a></li>");


		$wgOut->addHTML("</ul>");

		$wgOut->addHTML("</td></tr></table>");

		$wgOut->addHTML("<h4>Extended Item Information</h4>");
		$price    = $item->getVendorPrice();
		$sellrate = $item->getSellRate();
		$hexcolor = $item->getHexColor();
		
		$wgOut->addHTML("<table border='0' cellpadding='1' cellspacing='2' style=''>");
		$wgOut->addHTML("<tr>");
			$wgOut->addHTML("<td class='eqitemtitle'>Vendor Raw Price</td>");
			$wgOut->addHTML("<td class='eqitemvalue'>". formatPrice($price) ."</td>");
			$wgOut->addHTML("<td width='10' ></td>");
			$wgOut->addHTML("<td class='eqitemtitle'>Guild Tribute</td>");
			$wgOut->addHTML("<td class='eqitemvalue'>". $item->getTribute() ."</td>");
		$wgOut->addHTML("</tr><tr>");
			$wgOut->addHTML("<td class='eqitemtitle'>Vendor Sell Price<small><br/>(what most vendors will sell the item for)</small></td>");
			$wgOut->addHTML("<td class='eqitemvalue'>". formatPrice(intval($price * 1.05)) ."</td>");
			$wgOut->addHTML("<td></td>");
			$wgOut->addHTML("<td class='eqitemtitle'>Stack Size</td>");
			$wgOut->addHTML("<td class='eqitemvalue'>". $item->getStackSizeText() ."</td>");
		$wgOut->addHTML("</tr><tr>");
			$wgOut->addHTML("<td class='eqitemtitle'>Vendor Buy Price<small><br/>(what most vendors will buy the item for)</small></td>");
			$wgOut->addHTML("<td class='eqitemvalue'>". formatPrice($price / $sellrate / 1.05) ."</td>");
			$wgOut->addHTML("<td></td>");
			$wgOut->addHTML("<td class='eqitemtitle'>Color</td>");
			$wgOut->addHTML("<td class='eqitemvalue' style='background:". $hexcolor ."; color:". !$hexcolor.";'>". $hexcolor ."</td>");
		$wgOut->addHTML("</tr>");

		if ($item->isWeapon()) {
			$wgOut->addHTML("<tr>");
			$wgOut->addHTML("<td class='eqitemtitle'>Proc Rate Mod</td>");
			$wgOut->addHTML("<td class='eqitemvalue'>". $item->getProcRate() ."</td>");
			$wgOut->addHTML("</tr>");
		}

		$wgOut->addHTML("</table><br />");

	}

}

?>
